#include "../../all.h"
#include "../../ext-reg-comp.h"

unsigned int GGGgetopt_store;
unsigned char *GGGerrno_str_ptr;
const unsigned char *my_name; //For error messages.

int main(int argc, char **argv)
{
    unsigned char *glob_file_name;
    unsigned char *conninfo;
    PGconn *parrentcon;
    
    //A very simple test.
    
    my_name = argv[0];
    
    if(argc < 2)
    {
        fprintf(stderr, "I need an absolute path to the file " \
                                    "'globs_sorted_reg.txt'!\n" );
        return(1);
    }
    
    glob_file_name = *(argv+1);
    
    if(argc < 3)
    {
        fprintf(stderr, "I need a connection string for the " \
                                        "postgresql server!\n" );
        return(1);
    }
    
    conninfo = *(argv+2);
    
    //I don't think it can fail.
    //FIXME will it work on uninitialized parrentcon structs?
    (void)PQsetErrorVerbosity(parrentcon, PQERRORS_VERBOSE);
    
    parrentcon = PQconnectdb(conninfo);
    
    if(PQstatus(parrentcon) != CONNECTION_OK)
    {
        conninfo = PQerrorMessage(parrentcon);
        
        fprintf(stderr, _(&FCCPG), my_name);
        fprintf(stderr, _(&PQEMR), conninfo);
        
        (void)raise(SIGABRT);
    }
    
    build_exts(glob_file_name, parrentcon);
    
    
    fprintf(stderr, "Tests succeeded.\nPlease chceck the data in the " \
                        "postgresql database, table name mime_types.\n" );
    
    return(0);
}
